API ReferenceModels API
Native OpenAI Format
Last updated:
Models
GET /models
Authentication
Store your API key in AICENTOS_API_KEY; the shell examples expand it in the Authorization: Bearer header.
The API Key obtained under "Token Management" in the console
Location: header
Response Body
application/json
application/json
export AICENTOS_API_KEY="sk-your-aicentos-api-key"
curl -X GET "https://aicentos.com/v1/models" \
-H "Authorization: Bearer $AICENTOS_API_KEY"{
"object": "list",
"data": [
{
"id": "gpt-4o-mini",
"object": "model",
"created": 1715000000,
"owned_by": "openai"
}
]
}{
"error": {
"message": "Incorrect API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
}